package com.ruoyi.export.service;

import com.ruoyi.export.domain.ExportContact;
import com.ruoyi.export.domain.vo.ExportContactVo;
import com.ruoyi.export.domain.bo.ExportContactBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 联系方式Service接口
 *
 * @author ruoyi
 * @date 2025-07-17
 */
public interface IExportContactService {

    /**
     * 查询联系方式
     */
    ExportContactVo queryById(Long contactId);

    /**
     * 查询联系方式列表
     */
    TableDataInfo<ExportContactVo> queryPageList(ExportContactBo bo, PageQuery pageQuery);

    /**
     * 查询联系方式列表
     */
    List<ExportContactVo> queryList(ExportContactBo bo);

    /**
     * 新增联系方式
     */
    Boolean insertByBo(ExportContactBo bo);

    /**
     * 修改联系方式
     */
    Boolean updateByBo(ExportContactBo bo);

    /**
     * 校验并批量删除联系方式信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
